#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	keyutils
Version		:	1.6.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Linux Key Management Utilities

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+
URL		:	http://people.redhat.com/~dhowells/keyutils/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gcc

Requires	:	%{name}-libs	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description
Utilities to control the kernel key management facility and
to provide a mechanism by which th

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license LICENCE.GPL
%config(noreplace) %{_sysconfdir}/request-key.conf
%{_bindir}/keyctl
%{_sbindir}/key.dns_resolver
%{_sbindir}/request-key
%{_datadir}/%{name}/request-key-debug.sh
%{_mandir}/man1/keyctl.1.gz
%{_mandir}/man5/request-key.conf.5.gz
%{_mandir}/man8/key.dns_resolver.8.gz
%{_mandir}/man8/request-key.8.gz

#=============================================================================
%package		libs
Summary		:	Key utilities library

#-----------------------------------------------------------------------------
%description		libs
This package provides a wrapper library for the key
management facility system calls.

#-----------------------------------------------------------------------------
%files			libs
%defattr(-,root,root,-)
%license LICENCE.LGPL
%{_libdir}/libkeyutils.so.1*
%{_mandir}/man7/asymmetric-key.7.gz
%{_mandir}/man7/%{name}.7.gz


#=============================================================================
%package		libs-devel
Summary		:	Development package for building Linux key management utilities

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs	= %{version}-%{release}
#-----------------------------------------------------------------------------
%description		libs-devel
This package provides headers and libraries for building key utilities.

#-----------------------------------------------------------------------------
%files			libs-devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man3/find_key_by_type_and_name.3.gz
%{_mandir}/man3/keyctl.3.gz
%{_mandir}/man3/keyctl_*.3.gz
%{_mandir}/man3/recursive_*.3.gz


#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
 -e 's:$(LIBDIR)/$(PKGCONFIG_DIR):%{_libdir}/pkgconfig:'\
  Makefile 

%{__make}						\
	NO_ARLIB=1					\
	ETCDIR=%{_sysconfdir}				\
	LIBDIR=%{_libdir}				\
	USRLIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	SBINDIR=%{_sbindir}				\
	MANDIR=%{_mandir}				\
	INCLUDEDIR=%{_includedir}			\
	SHAREDIR=%{_datadir}/%{name}			\
	RELEASE=.%{release}				\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	NO_ARLIB=1					\
	ETCDIR=%{_sysconfdir}				\
	LIBDIR=%{_libdir}				\
	USRLIBDIR=%{_libdir}				\
	BINDIR=%{_bindir}				\
	SBINDIR=%{_sbindir}				\
	MANDIR=%{_mandir}				\
	INCLUDEDIR=%{_includedir}			\
	SHAREDIR=%{_datadir}/%{name}			\
	install

#-----------------------------------------------------------------------------
%changelog
